<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/HowTos/Virtualization/Vserver</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/HowTos/Virtualization/Vserver</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="CentOS_5.x_.2BTgp2hA_Linux-VServer">CentOS 5.x 上的 Linux-VServer</h1>
<span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line867">&lt;&lt;TableOfContents: execution failed [Argument "maxdepth" must be an integer value, not "[1]"] (see also the log)&gt;&gt; <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><div><table><tbody><tr>  <td class="lmimg red" style="text-align: center"><p class="line862"> <img alt="ArtWork/WikiDesign/alert.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/alert.png" title="ArtWork/WikiDesign/alert.png" /> </td>
  <td class="lmtxt red" colspan="2" style="text-align: left"><p class="line862"> CentOS 的开发者花费很多时间及功夫来确保 CentOS 是稳定的，并适用于生产环境内。采用 VServer 意味着使用不受支持的内核。它除了影响 <a href="./zh(2f)HowTos(2f)KVM.html">KVM</a> 仿真多个处理器的能力外，本作者未发现有其它问题。这并不等于你不会遇上问题，因此请自行承担下面带来的风险。 </td>
</tr>
</tbody></table></div><span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line862">这个 wiki 上有另一篇文章更详尽地解释采用不受支持的内核的风险。如果你准备在生产设备上使用 VServer，请先 <a href="./zh(2f)HowTos(2f)Custom_Kernel.html">阅读它</a>。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line874">尽管如此，VServer 的人们当然也在它们的内核上花了不少功夫。本作者在测试的机器上执行了各款的程序，而除了 KVM-qemu 的 smp 问题外，并没有遇到其它问题。最重要的一点就是 CentOS 的开发者只能官方地支持 CentOS 的内核。 <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line867"><hr class="hr1" /><p class="line874"> <span class="anchor" id="line-14"></span><a class="http" href="http://linux-vserver.org/Welcome_to_Linux-VServer.org">Linux-VServer</a> 与一个 <a class="http" href="http://www.scottro.net/qnd/qnd-jail.html">FreeBSD 监狱</a>非常相似。它并不像 <a class="http" href="http://virtualbox.org/">VirtualBox</a> 或 <a class="http" href="http://www.vmware.com/">VMware</a> 般是台虚拟机器，反而更像一个复杂的 chroot 环境。它可以在执行网页服务器等程序时加入略外一层保障。你可以为客端系统设置资源应用的上限。按缺省值，它会动态地分享主机的内存及处理器，并以接近原生的速度运行。 <span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><p class="line862">VServer 的网页内备有<a class="http" href="http://linux-vserver.org/Overview#Types_of_Virtualization">一篇文章</a>解释不同的虚拟化方式，以及在<a class="http" href="http://linux-vserver.org/Usage_Scenarios">一页</a>里列出它在哪些情况下是个好的选择。 <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line874">这个网站备有大量文档。这篇文章的不少篇幅来自该处。 <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867">
<h2 id="A.2BUcZZB1uJiMU-">1. 准备安装</h2>
<span class="anchor" id="line-21"></span><p class="line874">进行安装前，主机上必须先完成数件事情。简单来说：新增 yum 软件库、下载内核、及修改主机的某些设置。 <span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span><p class="line867">
<h3 id="A.2BZbBYng_yum_.2Bj29O9l6T-">1.1. 新增 yum 软件库</h3>
<span class="anchor" id="line-24"></span><p class="line862">在 /etc/yum/repos.d 内置立一个新文件。<a class="http" href="http://linux-vserver.org/Installation_on_CentOS">VServer 的 wiki 文章</a>称它为 dhozac-verser.repo。这个文件的内容有 <span class="anchor" id="line-25"></span>{{{[dhozac-vserver] <span class="anchor" id="line-26"></span>name=Linux-VServer related packages for CentOS $releasever - $basearch <span class="anchor" id="line-27"></span>baseurl=<a class="http" href="http://rpm.hozac.com/dhozac/centos/$releasever/vserver/$basearch">http://rpm.hozac.com/dhozac/centos/$releasever/vserver/$basearch</a> <span class="anchor" id="line-28"></span>gpgkey=<a class="http" href="http://rpm.hozac.com/conf/keys/RPM-DHOZAC-GPG-KEY">http://rpm.hozac.com/conf/keys/RPM-DHOZAC-GPG-KEY</a>}}} <span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><p class="line874">本篇 wiki 推荐你在进行任何动作前先更新 yum。 <span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><p class="line867"><tt>yum&nbsp;update&nbsp;yum</tt> <span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><p class="line874">请留意自 12 月底，dhozac 这个软件库经常不能被运用。在这个情况下 <span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><pre><span class="anchor" id="line-1"></span>baseurl=http://rpm.hozac.com/dhozac/centos/$releasever/vserver/$basearch</pre><span class="anchor" id="line-38"></span><p class="line874">可以临时被替换为 <span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><pre><span class="anchor" id="line-1-1"></span>baseurl=http://mirror.fubra.com/rpm.hozac.com/dhozac/centos/$releasever/vserver/$basearch</pre><span class="anchor" id="line-42"></span><p class="line867">
<h3 id="A.2BU9Zflw_VServer_.2BUYVoOA-">1.2. 取得 VServer 内核</h3>
<span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><p class="line874">下一步是要取得 vs 内核。它的版本比 CentOS 所采用的更要新，因此只要执行 <span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line867"><tt>yum&nbsp;update&nbsp;kernel&nbsp;kernel-devel</tt> <span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><p class="line874">便会下载 VServer 的内核，截至本文是 2.6.22.19-vs2.3.0.34.1。kernel-devel 这个 rpm 对重建或许会有帮助，否则你也许不需要它。安装时一个新的项目将会自动被加进 grub。 <span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><p class="line867">
<h2 id="A.2BZvRlOU47ZzqLvn9u-">2. 更改主机设置</h2>
<span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><p class="line862">假若读者拥有任何第三方的模块，它们必须针对新的内核被重新创建。截至本文，支持渐趋流行的 Realtek 内置网络适配器的 r8168 模块是其中之一。（这个情况应该在上游供应者的下个版本会有所改善，它大概会在 2008 年 6 月中旬被引进 CentOS。）假若你采用 <a class="http" href="http://wiki.centos.org/Repositories/RPMForge">rpmforge</a> 的 dkms 版本，事情就相当简单。 <span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><p class="line874">当新版内核被安装后，它在 /lib/modules 内会有一个新的目录。为了方便输入，现时的 2.6.18-53.1.19.e15 版的 CentOS 内核将会被缩写成 2.6.18，而 VServer 的内核将会被缩写成 2.6.22-vs。请在 /lib/modules 内使用真实的名称，而不是这里的缩写。 <span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><p class="line874">r8168 这个模块将会在 /lib/modules/2.6.18/extras 之内。请将它复制到新内核的 /lib/modules 位置，然后执行 depmod。 <span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><p class="line874">{{{cd /lib/modules <span class="anchor" id="line-61"></span>cp 2.6.19/extras/r8168.ko 2.6.22-vs/extras <span class="anchor" id="line-62"></span>depmod 2.6.22-vs}}} <span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><p class="line874">这个模式应该适用于任何 dkms 模块。 <span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><p class="line874">至于 NVidia，或任何从该生产商的网站下载的模块，它们很可能都须要在引导新内核后重建。因此，假若相关的模块是为网络卡而设，在重新开机前请确定已经下载了所需的文件。 <span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><p class="line874">在安装前的另一个考虑，就是你若果要以 ssh 来访问虚拟客端系统，你必须编辑主机的 /etc/ssh/sshd_config 文件。它的缺省值是在所有地址聆听。然而，客端系统将会拥有自己的地址，因此请编辑主机的 sshd_config 令它只在自己（主机）的地址上聆听。请修改 /etc/ssh/sshd_config 内这一行 <span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><p class="line867"><tt>#ListenAddress&nbsp;0.0.0.0</tt> <span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><span class="anchor" id="line-73"></span><p class="line862">删除 # 号来去掉它的注释，然后将 <a class="nonexistent" href="./ListenAddress.html">ListenAddress</a> 改为主机的 IP。假如主机的 IP 位置是 192.168.1.80，这一行便成为 <span class="anchor" id="line-74"></span><span class="anchor" id="line-75"></span><p class="line867"><tt>ListenAddress&nbsp;192.168.1.80</tt> <span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><p class="line874">接着重新引导 ssh。 <span class="anchor" id="line-79"></span><span class="anchor" id="line-80"></span><p class="line867"><tt>/etc/init.d/sshd&nbsp;restart</tt> <span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span><p class="line874">安装一些应用客端系统时所需的组件。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line867"><span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><pre><span class="anchor" id="line-1-2"></span>yum install util-vserver{,-core,-lib,-sysv,-build}</pre><span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><p class="line874">在 /etc/init.d 内将会有个新的项目。请将 vprocunhide 及 util-vserver 设置为开机时引导。（这一步在安装时可能已经完成。） <span class="anchor" id="line-92"></span>{{{chkconfig util-vserver on <span class="anchor" id="line-93"></span>chkconfig vprocunhide on}}} <span class="anchor" id="line-94"></span><span class="anchor" id="line-95"></span><span class="anchor" id="line-96"></span><p class="line874">用新的内核重新开机。 <span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><p class="line867">
<h2 id="A.2BW4mIxVuieu98.2B37f-">3. 安装客端系统</h2>
<span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line862">VServer 在<a class="http" href="http://linux-vserver.org/Building_Guest_Systems">关于创建客端系统的文档内</a>提供了数个方法。在这个样例中，我们将会安装一台 CentOS 客端系统。就 CentOS 来说，利用范本及采用 yum 是最简单的两个方法。 <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><p class="line862">现时已经有一个范本可用来安装最基本的 CentOS。你可以从 <a class="http" href="http://mirrors.sandino.net/vserver/images/">sandio.net</a> 下载映像并采用范本这个方法。截至本文，现时只备有 32 位元的范本作为 CentOS 5.x 映像。 <span class="anchor" id="line-103"></span><span class="anchor" id="line-104"></span><p class="line874">采用这个方法时请将范本，一个 tar.bz2 映像，存储在某处。（VServer 的文档以 /vservers/.templates 为例。）请勿将它解压，因该文件会在创建过程中被直接应用。 <span class="anchor" id="line-105"></span><span class="anchor" id="line-106"></span><p class="line874">这个范本亦可以应用在其它系统上。譬如你在 Fedora 上安装了 VServer 的内核，你亦可以创建一台 CentOS 客端系统。 <span class="anchor" id="line-107"></span><span class="anchor" id="line-108"></span><p class="line874">在下列样例中，我们将客端系统命名为 vcentos。它的本地是 example.com。请将所有 vcentos 改为你的服务器的名称，并以你的域名代替 example.com。这个指令必须在同一行内输入。（视乎划面尺寸及解像度，很多浏览器会将它显示为数行。） <span class="anchor" id="line-109"></span><span class="anchor" id="line-110"></span><p class="line874">{{{vserver vcentos build -m template --hostname vcentos.example.com <span class="anchor" id="line-111"></span>--interface eth0:192.168.1.70/24 -- -d centos5 -t <span class="anchor" id="line-112"></span>/vservers/.templates/centos-5-i686-2007-07-14.tar.bz2}}} <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><p class="line867">
<h4 id="A.2BieORyg-">3.0.1. 解释</h4>
<span class="anchor" id="line-115"></span><p class="line874">vserver vcentos。客端系统去掉本地的名称。请把它改为你选择给客端系统的名称。 <span class="anchor" id="line-116"></span><span class="anchor" id="line-117"></span><p class="line874">build -m template。-m 代表「方法」。在这个例子里，要以范本的方法进行创建。 <span class="anchor" id="line-118"></span><span class="anchor" id="line-119"></span><p class="line874">--hostname。客端系统的完整机名，连同域名在内。 <span class="anchor" id="line-120"></span><span class="anchor" id="line-121"></span><p class="line874">--interface eth0:192.168.1.70/24。客端系统的网络界面及 IP 地址。它应该与主机位于同一个子网络。在这个样例里，我们采用典型的 192.168.1.0/24 子网络。（对于那些不熟识这个写法的人，它与意思等同一个 255.255.255.0 的子网掩码。） <span class="anchor" id="line-122"></span><span class="anchor" id="line-123"></span><p class="line874">-- -d centos5。-- 是一个分隔符号，接着是你的发行版本的名称。如果你下载了一个 Fedora 8 的映像，你应该用 -d fedora8。 <span class="anchor" id="line-124"></span><span class="anchor" id="line-125"></span><p class="line874">这个 -- 并非错字。build 这个指令分为不同部份，而它们是以 -- 隔开的。等一部份是基本选项的设置，在这个例子中包括开头一切至 --interface。第二部份以 -- 隔开，所提供的是发行版本，以及在这个例子的范本位置。 <span class="anchor" id="line-126"></span><span class="anchor" id="line-127"></span><p class="line874">-t /vservers/.templates/centos-5-i686-2007-07-14.tar.bz2。-t 代表要应用的范本，因此请列出范本的全路径。 <span class="anchor" id="line-128"></span><span class="anchor" id="line-129"></span><p class="line867">
<h4 id="A.2BkBqPxw_yum_.2Bj9uITFuJiMU-">3.0.2. 通过 yum 进行安装</h4>
<span class="anchor" id="line-130"></span><span class="anchor" id="line-131"></span><p class="line874">若要安装 64 位元的 CentOS 客端系统（只可在 64 位元主机上进行），请以 yum 的方法进行安装。 <span class="anchor" id="line-132"></span><span class="anchor" id="line-133"></span><p class="line874">{{{vserver vcentos build -m yum --hostname vcentos.example.com <span class="anchor" id="line-134"></span>--interface eth0:192.168.1.70/24 -- -d centos5}}} <span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><span class="anchor" id="line-137"></span><p class="line874">这样做会进行最细小的安装，当中只包括基本系统、gcc 及少数其它东西。 <span class="anchor" id="line-138"></span><span class="anchor" id="line-139"></span><p class="line874">要安装  Fedora 8 的客端系统，请将 -d 的值改为 f8。一个可用的发行版本清单已经收录在 /usr/lib/util-vserver/distributions。（在 64 位元主机上，这个清单位于 /usr/lib64/util-vserver/distributions。） <span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><p class="line867">
<h2 id="A.2Bi75.2Fbluieu98.2B37f-">4. 设置客端系统</h2>
<span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><p class="line867">
<h3 id="A.2BfsRO9nuhdAY-">4.1. 组件管理</h3>
<span class="anchor" id="line-144"></span><p class="line874">刚安装好的客端系统属最小的系统。假若你以范本来创建它，最基本的指令都应该全备，但如果你利用 yum 来创建它，less、which、passwd 及 vi 等指令都不存在。你可以从主机或在客端系统内管理组件。 <span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><p class="line874">要从主机管理组件，请使用 vyum 指令。它的语法是 <span class="anchor" id="line-147"></span><span class="anchor" id="line-148"></span><p class="line867"><tt>vyum&nbsp;&lt;servername&gt;&nbsp;--&nbsp;install&nbsp;&lt;package_name&gt;</tt> <span class="anchor" id="line-149"></span><span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><p class="line874">譬如说我们要在客端系统上安装 passwd 这个指令 <span class="anchor" id="line-152"></span><span class="anchor" id="line-153"></span><p class="line867"><tt>vyum&nbsp;vcentos&nbsp;--&nbsp;install&nbsp;passwd</tt> <span class="anchor" id="line-154"></span><span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><p class="line874">你会看见一个典型的对话框，用来显示将会被下载的组件，并要求你确认。输入 y 或 yes 后，你将会看见被些组件被安装。  <span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><p class="line874">对于通过 yum 创建的系统，就算它们不在运行中依然可以应用这个指令。 <span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><p class="line874">然而，假若组件的名称不正确，例如你错误输入 vi 而要是 vim-minimal 或 vim-enhanced，除了看不见典型的 yum 对话框外，你不会收到任何关于失败的通知。它可能会短暂地停顿，然后便返回指令符。假如你看不见典型的 yum 对话框，那么该组件便没有被安装。若果你提供了错误的组件名称，你或许会看见典型的 yum 对话框以 Nothing to do 这个信息来结束，但这并非必然。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><span class="anchor" id="line-163"></span><span class="anchor" id="line-164"></span><p class="line874">如果你以 yum 安装方法来创建了一台客端系统，然后想在客端系统内管理组件，你首先要安装 yum 及 vyum。接着请执行 <span class="anchor" id="line-165"></span><span class="anchor" id="line-166"></span><p class="line874">{{{verserver pkgmgmt internalize. vyum vcentos -- install yum <span class="anchor" id="line-167"></span>vserver vcentos pkgmgmt internalize}}} <span class="anchor" id="line-168"></span><span class="anchor" id="line-169"></span><span class="anchor" id="line-170"></span><p class="line874">如果 yum 未被正确地安装，pkgmgmt 这个指令会汇报错误。 <span class="anchor" id="line-171"></span><span class="anchor" id="line-172"></span><p class="line874">假若客端系统是从范本所创建的，以上的步骤都是不必要的。 <span class="anchor" id="line-173"></span><span class="anchor" id="line-174"></span><p class="line867">
<h2 id="A.2Bj9tOAGtldoSLvn9u-">5. 进一步的设置</h2>
<span class="anchor" id="line-175"></span><p class="line874">客端系统的文件都放置在 /etc/vserver/vcentos/vdir。你可以在引导服务器前编辑它们。（请记得 vcentos 是我们的样例服务器名称，你应该改用你的服务器名称。） <span class="anchor" id="line-176"></span><span class="anchor" id="line-177"></span><p class="line874">引导客端系统。 <span class="anchor" id="line-178"></span><span class="anchor" id="line-179"></span><p class="line867"><tt>vserver&nbsp;vcentos&nbsp;start</tt> <span class="anchor" id="line-180"></span><span class="anchor" id="line-181"></span><span class="anchor" id="line-182"></span><p class="line874">请进入你的服务器作进一步的设置 <span class="anchor" id="line-183"></span><span class="anchor" id="line-184"></span><p class="line867"><tt>vserver&nbsp;vcentos&nbsp;enter</tt> <span class="anchor" id="line-185"></span><span class="anchor" id="line-186"></span><span class="anchor" id="line-187"></span><p class="line874">你将会被放在一个指令提示元。缺省的安装里没有 /etc/shadow，因此你不能更改 root 的密码。要解决这个问题，假设你已利用 vyum 安装了 passwd 这个指令（或者 yum，在已安装了 yum 的客端系统），请执行 <span class="anchor" id="line-188"></span><span class="anchor" id="line-189"></span><p class="line867"><tt>pwconv</tt> <span class="anchor" id="line-190"></span><span class="anchor" id="line-191"></span><span class="anchor" id="line-192"></span><p class="line874">如此 /etc/shadow 这个文件便会被创建。你现在可以通过正常做法为 root 设置一个密码。 <span class="anchor" id="line-193"></span><span class="anchor" id="line-194"></span><p class="line862">若然你计划通过 ssh 访问客端系统，（缺省不会在客端上安装 —— 你需要安装 openssh-server 及客户端），客端系统上的 /etc/pam.d/sshd 必须被修改。请遵从 <a class="http" href="http://linux-vserver.org/Frequently_Asked_Questions#Why_do_neither_sshd_nor_crond_.28vixie-cron.29_work_correctly_in_my_CentOS_.2F_Fedora_guest.3F_I_get_.27pam_loginuid.28crond:session.29:_set_loginuid_failed_opening_loginuid.27_and_similar_lines_in_my_logs.">VServer 常见问题集</a>，在 CentOS 及 Fedora 客端系统上将 /etc/pam.d/sshd 档内的最后一行注释掉。它的内容是 <span class="anchor" id="line-195"></span><tt>session&nbsp;&nbsp;&nbsp;&nbsp;required&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;pam_loginuid.so</tt> <span class="anchor" id="line-196"></span><span class="anchor" id="line-197"></span><span class="anchor" id="line-198"></span><span class="anchor" id="line-199"></span><span class="anchor" id="line-200"></span><p class="line874">请在行首加入 # 符号将它注释掉。 <span class="anchor" id="line-201"></span><span class="anchor" id="line-202"></span><p class="line874">此刻，你可以一如其它 CentOS 系统般设置你的客端系统。举个例说，如果你是要通过 VServer 为你的网页服务器加上额外一层保障，现在你便可以安装 httpd 并在设置客端系统上的相关文件。 <span class="anchor" id="line-203"></span><span class="anchor" id="line-204"></span><p class="line867">
<h2 id="A.2BVyhOO2c6XxVb.2FGX2YmeITA_VServer">6. 在主机引导时执行 VServer</h2>
<span class="anchor" id="line-205"></span><span class="anchor" id="line-206"></span><p class="line874">要在你的主机引导时引导缺省的 vserver 客端系统，请先启用 /etc/init.d/vserver-default 这个脚本。 <span class="anchor" id="line-207"></span><span class="anchor" id="line-208"></span><p class="line867"><tt>chkconfig&nbsp;vserver-default&nbsp;on</tt> <span class="anchor" id="line-209"></span><span class="anchor" id="line-210"></span><span class="anchor" id="line-211"></span><p class="line874">接着进到 /etc/vservsers/vcentos/apps/init。（请以你的服务器名称替换 vcentos。） <span class="anchor" id="line-212"></span><span class="anchor" id="line-213"></span><p class="line867"><tt>echo&nbsp;default&nbsp;&gt;&nbsp;mark</tt> <span class="anchor" id="line-214"></span><span class="anchor" id="line-215"></span><p class="line874">换句话说，你会创建一个名为 mark 的文件，当中包含 default 这个单字。下次你引导主机系统时，名叫 vcentos 的 Vserver 客端系统亦会引导。 <span class="anchor" id="line-216"></span><span class="anchor" id="line-217"></span><p class="line874">这是一个颇简单的介绍。你亦可执行多台机器、限制一台机器所应用的资源、与及其它事情。我们推荐读者浏览 VServer 的网页来取得更多信息。 <span class="anchor" id="line-218"></span><span class="anchor" id="line-219"></span><p class="line862">（这篇文章的原稿已收录在 <a class="http" href="http://home.roadrunner.com/~computertaijutsu/vserver.html">http://home.roadrunner.com/~computertaijutsu/vserver.html</a>） <span class="anchor" id="line-220"></span><span class="anchor" id="line-221"></span><p class="line867"><small>Translation of revision 12</small> <span class="anchor" id="line-222"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
